import { type JSX } from 'solid-js/jsx-runtime';

export function Card(props: {
  className?: string;
  title: string;
  children: JSX.Element;
  href: string;
}): JSX.Element {
  return (
    <a
      class={props.className}
      href={`${props.href}?utm_source=create-turbo&utm_medium=basic&utm_campaign=create-turbo"`}
      rel='noopener noreferrer'
      target='_blank'
    >
      <h2>
        {props.title} <span>-&gt;</span>
      </h2>
      <p>{props.children}</p>
    </a>
  );
}
